<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * シリーズ登録完了
 *
 * @package     Admin.Datamanage.Series.Insert.Done
 * @author      netnee T.Otogawa <tomokazu.otogawa@netnee.jp>
 * @access      public
 */
class Admin_Datamanage_Series_Insert_Done
{
    var $c_series;
    var $session;
    
    var $name;
    var $kana;
    var $recommend;
    var $upduser;
    
    var $row;
    var $title;
    var $pagename;
    var $actionnm;
    var $div;
    
    var $srcword;       // 検索値
    var $srcdispnum;    // 表示件数
    var $from;          // ページ番号
    
    var $makercd;
    
    var $frommakerlist;
    var $frommakerlistnm;
    
    
    function execute()
    {
      
        $log =& LogFactory::getLog();
        $log->debug("Admin_Datamanage_Series_Insert_Doneが実行されました", "Admin_Datamanage_Series_Insert_Done#execute");
        
        $data = $this->session->getParameter("series");
        
        if ($data["recommend"] <> 1){
            $data["recommend"] = 2;
        }
        
        $this->row = $this->c_series->insert($data["makercd"],
                                             $data["name"], 
                                             $data["kana"], 
                                             $data["recommend"],
                                             $this->upduser);
        
        if (!$this->row) return "input";
        
        return 'success';
    }
}
?>
